%define major 0
%define libname %mklibname maxminddb %{major}
%define develname %mklibname maxminddb -d

%define subrel 1

Name:       libmaxminddb
Summary:    C library for the MaxMind DB file format
Version:    1.3.2
Release:    %mkrel 3
Group:      System/Libraries
URL:        https://maxmind.github.io/libmaxminddb
Source0:    https://github.com/maxmind/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch0:     libmaxminddb-1.3.2-CVE-2020-28241.patch

# original libmaxminddb code is Apache Licence 2.0
# src/maxminddb-compat-util.h is BSD
License:        ASL 2.0 and BSD

# for tests
BuildRequires: perl(Test::More)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IPC::Run3)

%description
This package contains libmaxminddb library.

%package -n %{libname}
Group:      System/Libraries
Summary:    C library for the MaxMind DB file format
Obsoletes:  %{_lib}maxminddb1.0 < 1.3.2-3

%description -n %{libname}
This package contains libmaxminddb library.

%package -n %{develname}
Group:      Development/C
Summary:    Libraries and header files for %{name}
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains libraries and header files needed for developing
applications that use %{name}.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x --disable-static
%make_build

%check
# tests are linked dynamically, preload the library as we have removed RPATH
LD_PRELOAD=%{buildroot}%{_libdir}/libmaxminddb.so make check

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc LICENSE
%{_libdir}/libmaxminddb.so.%{major}{,.*}

%files -n %{develname}
%doc NOTICE Changes.md
%{_bindir}/mmdblookup
%{_includedir}/maxminddb.h
%{_includedir}/maxminddb_config.h
%{_libdir}/libmaxminddb.so
%{_libdir}/pkgconfig/libmaxminddb.pc
%{_mandir}/man1/*
%{_mandir}/man3/*


%changelog
* Sun Nov 22 2020 guillomovitch <guillomovitch> 1.3.2-3.1.mga7
+ Revision: 1648530
- backport upstream patch to fix CVE-2020-28241

* Tue Oct 02 2018 wally <wally> 1.3.2-3.mga7
+ Revision: 1314854
- fix lib pkg name
- add BRs for tests
- add more provides to devel pkg

* Sun Sep 23 2018 umeabot <umeabot> 1.3.2-2.mga7
+ Revision: 1298982
- Mageia 7 Mass Rebuild

* Sun Jan 21 2018 guillomovitch <guillomovitch> 1.3.2-1.mga7
+ Revision: 1195491
- new version 1.3.2

* Fri Dec 29 2017 guillomovitch <guillomovitch> 1.3.1-1.mga7
+ Revision: 1187134
- new version 1.3.1

* Fri Aug 04 2017 guillomovitch <guillomovitch> 1.2.1-1.mga7
+ Revision: 1134870
- imported package libmaxminddb

